Subject: bug#37415: Asserting failure setting frame parameters to non-fixnum values in early-init.el

From: martin rudalics <[email-masked]>
Date: Tue, 24 Sep 2019 08:45:43 +0200

>> What bothers me more is that we base the Windows code on a concept
 >> that it can neither understand nor control.
 >
 > Which concept is that?

Size hints.  In particular the 'user-position' frame parameter.

 > my_create_window just prepares the coordinates for w32_createwindow,
 > and the latter does use f->top_pos and f->left_pos when appropriate.

OK.  I didn't remember that the code was that convoluted.

 > The 'else' block is redundant, because when the hint flags are set,
 > w32_createwindow will disregard coords[].  But it does no harm, so if
 > you are more comfortable with it, fine.

Thanks but don't bother.  Better leave a short note in a comment
explaining how this is supposed to behave.  On a related note: Do you
have any ideas what the window_prompting argument of w32_window is or
was for?

martin